Smart Proxy - Support #796

Built problem with PXE Default File template
03/28/2011 07:17 AM - Juan José Presa

Status: Resolved
Priority: Normal
Assignee:

Category:

Target version:

Triaged: Found in Releases:

Fixed in Releases:

Description
Hi again,

| found a bug with the PXE Default template. When I'm trying to build a host with an OS linked to PXE Default File template | receive
the next error:

Processing HostsController#setBuild (for xx.xx.xx.xx at 2011-03-28 14:48:54) [GET]
Parameters: {"action"=>"setBuild", "id"=>"cliente2.metro.local", "controller"=>"hosts"}
Add the TFTP configuration for cliente2.metro.local

SyntaxError (compile error
(erb):13: syntax error, unexpected ;'
for profile in @profiles -; _erbout.concat "\n"

(erb):16: syntax error, unexpected ';'

...eratingsystem.is_a?(Redhat) -; _erbout.concat "\n"

(erb):18: syntax error, unexpected kELSE, expecting $end
_erbout.concat" "; else -; _erbout.concat "\n"

A):
(erb):18:in "generate_pxe_template'
app/models/orchestration/tftp.rb:84:in “generate_pxe_template'
app/models/orchestration/tftp.rb:33:in “setTFTP'
app/models/orchestration.rb:129:in “send'
app/models/orchestration.rb:129:in “execute'
app/models/orchestration.rb:85:in “process’
app/models/orchestration.rb:80:in “each’
app/models/orchestration.rb:80:in “process’
app/models/orchestration.rb:31:in “on_save'
app/models/host.rb:406:in “setBuild'
app/controllers/hosts_controller.rb:196:in “setBuild'
/ust/lib/ruby/1.8/webrick/httpserver.rb:104:in “service'
/usr/lib/ruby/1.8/webrick/httpserver.rb:65:in “run’
/ustr/lib/ruby/1.8/webrick/server.rb:173:in “start_thread'
/ust/lib/ruby/1.8/webrick/server.rb:162:in “start’
/ust/lib/ruby/1.8/webrick/server.rb:162:in “start_thread'
/ust/lib/ruby/1.8/webrick/server.rb:95:in “start'
/ust/lib/ruby/1.8/webrick/server.rb:92:in “each’
/ust/lib/ruby/1.8/webrick/server.rb:92:in “start'
/usr/lib/ruby/1.8/webrick/server.rb:23:in “start'
/usr/lib/ruby/1.8/webrick/server.rb:82:in “start'

Rendering /usr/share/foreman/public/500.html (500 Internal Server Error)

If | define as default template "Preseed default PXElinux" or "Kickstart default PXElinux" the build goes fine.
Thanks again.

History

#1 - 03/28/2011 02:56 PM - Ohad Levy
- Target version deleted (0.2)
I'm not sure if its a bug, maybe a bit more about the intention of the default pxe menu.

the ideas behind it is to allow to generate a pxe menu, where you could be able to provision hosts (or just run recovery or whatever) which are not
defined in foreman.

more than that, if you define host groups, than you could use that to generate default pxe menus ( per host group ).
as a side note, you might get faster responses if you email the user group instead of opening a support issues :)
#2 - 03/28/2011 06:23 PM - Juan José Presa

sorry i'm starting to understand this big thing (puppet included)

movin to groups now!

thanks!

#3 - 03/31/2011 03:25 AM - Ohad Levy

- Status changed from New to Resolved
